### Method

# GLib VariantDict insert

since: 2.40

#### Declaration [src]

    void
    g_variant_dict_insert (
      GVariantDict* dict,
      const gchar* key,
      const gchar* format_string,
      ...
    )

#### Description [src]

Inserts a value into a `GVariantDict`.

This call is a convenience wrapper that is exactly equivalent to calling `g_variant_new()` followed by g_variant_dict_insert_value().

Available since: 2.40

This method is not directly available to language bindings.

#### Parameters

`key`

  Type: `const gchar*`

  The key to insert a value for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`format_string`

  Type: `const gchar*`

  A `GVariant` varargs format string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments, as per `format_string`.